/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Consultores;
import com.cosmodas.EntCosmos.proPremios;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ConsultoresFacadeLocal {

    void create(Consultores consultores);

    void edit(Consultores consultores);

    void remove(Consultores consultores);

    Consultores find(Object id);

    List<Consultores> findAll();

    List<Consultores> findRange(int[] range);

    int count();

    int NumeroCatalogos(String consultorCodigo, String territorioCodigo);

    int ObtenerDiasPago(String consultorCodigo, String fechaIni, String fechaFin);

    String ObtenerNombreCompleto(String consultorCodigo);

    List<proPremios> findCallProPremios(String consultorCodigo, String programaCodigo, String fechaInicial, String fechaFinal);


    Double obtenerCargosConsultor(String consultorCodigo);

    public void guardarConsultorNiko(String nombre, String apellido);
}
